
/* General */

html, body {
  max-width: 100%;
  overflow-x: hidden;
}

body{
    
    font-family: 'Lato', sans-serif;
    padding-top: 40px;
}

h1, h2, h3, h4, h5, h6{
    font-weight: bold;
}

ul{
    list-style: none;
}

.container-fluid{
    font-family: 'Lato', sans-serif;
}

img{
    max-width: 100%;
    height: auto;
}

section{
    
    padding: 65px 0 80px 0;
    
}

section .heading{
    text-align: center;
    padding-bottom: 60px ;
}

section .heading h2{
    text-transform: uppercase;
}

.button-1{
    margin-top: 20px;
    display: inline-block;
    font-weight: bold;
    color: white;
    text-transform: uppercase;
    border: 1px solid white;
    text-decoration: none;
    padding: 18px 50px;
    border-radius: 3px;
    transition: all 0.3s ease-in-out 0s;
    background: transparent;
}

.button-1:hover{
    background-color: white;
    color: #d82c2e;
}

/* NAVBAR */

@media (min-width: 1199px) {


    .navbar.scrolled{
        opacity: 0.7;
        height: 50px;
    
    }


}

.navbar{
    background-color: #d82c2e;
    letter-spacing: 2px;
    text-transform: uppercase;
    font-weight: bold;
    border-bottom: 1px solid white;
    position: fixed !important;
    transition: all 0.3s ease;
    z-index: 1000;
    top: 0;
    left: 0;
    width: 100%;
    height: 60px;
    
}

.navbar-nav{
    margin: 0 auto;
    text-align: center;
}

.nav-link{
    color: white !important;
    margin: 0 6px;
}

.navbar-toggler{
    margin-bottom: 5px;
}

.nav-link.active,
.nav-link:hover
{
    background-color: white;
    color: #d82c2e !important;
}


/* ABOUT */

#about{
    background-color: #d82c2e;
}

.profile-picture{
    /* background-color: yellow; */
    /* max-width: 300px; */
    margin: 0px auto 30px auto;
    aspect-ratio: 1 / 1 ;
    overflow: hidden;
    border-radius: 50%;

    display: flex;
    align-items: center;
    justify-content: center;
}


.profile-picture img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain; /* 🔥 clé */
    border-radius: 50%;
    display: block;
}
/* 
@media (max-width: 615px) {
  .profile-picture img {
    max-width: 300px;
    max-height: 300px;
  }
} */

#about .heading h1{

    color: white;
    text-transform: uppercase;
    margin-bottom: 20px;

}

#about .heading h3{

    font-weight: bold;
    color: black;
}



/* SKILLS */

.divider{
    display: block;
    width: 100px;
    height: 2px;
    background-color: red;
    margin: 0 auto 20px auto;
}

#skills .heading h2{

    color: #d82c2e;
}

#skills .progress{
    height: 45px;
    margin: 30px 20px;
}

#skills .progress:last-child{
    margin-bottom: 0px;
}

#skills .progress-bar{
    line-height: 45px;
    background-color: #d82c2e;
    color: white;
    text-align: center;
    padding-left: 15px;
    font-weight: bold;
}

#skills .progress-bar h5{
    text-shadow: 1px 1px 1px #000000;
    margin-bottom: 3px;
}

/* EXPERIENCE */

#experience{
    background-color: #d82c2e;
}


#experience .heading h2{    
    color: white;
}

.divider.white{
    background-color: white;
}


.timeline{
    padding: 30px 10px;
    position: relative;
}

/* le trait */
.timeline:before{
    content: " ";
    /* commence et termine à 0 -> essentielle */
    top: 0;
    bottom: 0;
    position: absolute;
    width: 5px;
    background-color: #333;
    /* il est a la moitié de l'écran */
    right: 50%;
    margin-left: -2.5px;
}

/* > = enfant directe de la timeline */
.timeline > li{
    margin-bottom: 20px;
    position: relative;

}

.timeline > li:before, .timeline > li:after{
    content: " ";
    display: table;
}

.timeline > li:after{
    clear: both;
}


.timeline li .timeline-badge{
    color: #d82c2e;
    width: 50px;
    line-height: 50px;
    font-size: 20px;
    text-align: center;
    position: absolute;
    top: 16px;
    left: 50%;
    margin-left: -25px;
    background-color: white;
    border-radius: 50%;
}

.timeline-panel-container{
    width: 50%;
    float: left;
}

.timeline-panel-container-inverted{
    width: 50%;
    float: right;
}

.timeline-panel{
    width: 90%;
    float: right;
    margin-right: 40px;
    border: 1px solid #d4d4d4;
    border-radius: 7px;
    padding: 20px 25px;
    position: relative;
    box-shadow: 0 1px 6px rgba(0, 0, 0, 0.175);
    background: white;
}

.timeline-panel-container-inverted .timeline-panel{
    float: left;
    margin-left: 40px;
}

.timeline-panel:after{
    position: absolute;
    top: 27px;
    right: -14px;
    display: inline-block;
    border-top: 14px solid transparent;
    border-left: 14px solid #fff;
    border-right: 0 solid #fff;
    border-bottom: 14px solid transparent;
    /* le content permet de faire qu'il s'affiche */
    content: " ";
}

.timeline-panel-container-inverted .timeline-panel:after{
    border-left-width: 0;
    border-right-width: 14px;
    left: -14px;
    right: auto;
}

.timeline-heading a {
    text-decoration: none;
    color: black;
}

.timeline-heading h3{
    margin-top: 5px;
    font-size: 20px;
}

.timeline-heading h4{
    color: #d82c2e;
}


/* EDUCATION */

#education .heading h2{
    color: #d82c2e;
    margin: 15px 0;
}


.education-block{
    background-color: #e9ecef;
    border-radius: 5px;
    width: 90%;
    padding: 30px;
    text-align: center;
    border: 1px solid #ccc;
    margin: 0 auto 20px auto;
    
}

.education-block h5{
    color: #888;
    font-size: 15px;
    margin-bottom: 15px;
}

.education-block span{
    font-size: 35px;
}

.education-block h3{
    color: #d82c2e;
    margin: 15px 0;
}

.education-block h4{
    font-weight: normal;
    margin-bottom: 20px;
}

#education .row {
    display: flex;
    flex-wrap: wrap;/* Si les éléments ne tiennent pas sur une ligne, passe à la ligne suivante*/
    align-items: stretch; /* aligne les colonnes sur la même hauteur */
    
}

#education .col-md-6 {
    display: flex;
}

#education .education-block {
    flex: 1; /* permet à chaque bloc de s’étirer pour remplir la hauteur */
}


/* PORTFOLIO */

#portfolio {
    background-color: #d82c2e;
    color: white;
}

#portfolio img{
    width: 100%;
    height: 100%;
    filter: grayscale(1);
    /* wbekit c'est une histoire de comptabilité. En gros c'est pour que ça marche avec chrome */
    -webkit-filter: grayscale(1);
}

#portfolio img:hover{
    filter: none;
    -webkit-filter: none;
}

#portfolio .col-md-4{
    margin: 0 auto 20px auto;
}


/* RECOMMENATIONS */

#recommendations .heading h2{
    color: #d82c2e;
}


#myCarousel .carousel-item{
    /* ici il y en a 3 donc c'est top right = left et bottom */
    padding: 30px 30px 90px;
}

#myCarousel .carousel-item h3{
    color: #d82c2e;
    font-style: italic;
}

/* FOOTER */


footer{
    background: #333;
    padding: 20px 0 40px 0;
    text-align: center;
}

/* footer div{
    pour que la largeur soit celle du contenu
    width: fit-content;
    display: block;
    margin: 0 auto;
} */

footer a {
    font-size: 25px;
    display: inline-block;
    color: white;
    transition: all 0.3s ease;
}

footer a:hover{
    color: #d82c2e;
    transform: scale(1.7);
}


footer h5{
    color: white;
    font-weight: normal;
}

/* Contacts */
#contact{
    background-color: #d82c2e;
}

#contact .heading h2{
    color: white;
}




/* formulaire */

#contact{

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

}

#contact-form{
    font-size: 20px;
    color: #fff;
    margin: 0 auto;
}

#contact .row {
    display: flex;
    justify-content: center;
}

.form-control input{
    height: 50px;
    font-size: 18px;
}

.comments{
    font-style: italic;
    font-size: 18px;
    color: #fff;
    /* lui garde sa place même si il est invisible */
    height: 25px;
}

#contact-form .button-1 {
    display: block;
    margin: 30px auto 0;
}

.thank-you{
    text-align: center;
    margin-top: 15px;
    font-weight: bold;
    font-size: 20px;
    /* display: none; */
}